﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace CofFIME.Models.Data
{
    using CofFIME.Models.Core;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class CafeteriasEntities : DbContext
    {
        public CafeteriasEntities()
            : base("name=CafeteriasEntities")
        {
        }

        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            base.OnModelCreating(modelBuilder);
        }
    
        public virtual DbSet<DetallesPedidos> DetallesPedidos { get; set; }
        public virtual DbSet<Facultades> Facultades { get; set; }
        public virtual DbSet<Pedidos> Pedidos { get; set; }
        public virtual DbSet<Platillos> Platillos { get; set; }
        public DbSet<Usuarios> Usuarios { get; set; }
    }
}
